New build of Cumulus 1.8.4 available

There is a bug in all versions of Cumulus before 1.8.4 build 605 (which I have just uploaded), which affects Fine Offset users. The bug occurs in the processing of the history data during the wrap-around from the end of the memory back to the beginning. All Fine Offset users are urged to upgrade to version 1.8.4 build 605 as soon as possible. Even if you have previously downloaded version 1.8.4, if the build number (check in About…) is less than 605, you need to download the new version from http://sandaysoft.com/downloads